wolfenstein

Note: After publishing, you may have to bypass your browser's cache to see the changes.

/**********************************************************************
*                                                                     *
*            This is the global CSS for Wolfenstein Wiki.             *
* Any changes made to this skin will affect all Wolfenstein Wikis     *
*      that are using this skin.                                      *
*                                                                     *
**********************************************************************/

/* ################################################## */
/* ### THE NEW ORDER FONT                         ### */
/* ################################################## */

@font-face {
font-family: "neworder";
src:local("Futura"),
local("Futura ND"),
url("https://images.wikia.nocookie.net/wolfenstein/zh/images/9/92/Florence_Sans.woff");
}

/* ######################################################################## */
/* ### CSS placed here will be applied to all skins on the entire site. ### */
/* ### See also: [[MediaWiki:Monobook.css]] & [[MediaWiki:Wikia.css]]   ### */
/* ######################################################################## */
 
/* ################################################## */
/* ### GENERAL FIXES                              ### */
/* ################################################## */
 
/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect, .watchlistredir { 
   font-style: italic; 
}
 
/* Checkered background for images in File namespace */
body.ns-6 #file img {
    background: transparent url("/skins/common/images/Checker-16x16.png?1") repeat;
}
 
body.ns-6 #file button img {
    background: transparent;
}
 
/* ################################################## */
/* ### UNIVERSAL CLASSES                          ### */
/* ################################################## */
 
.whitelinks a {
color:white;
font-weight:bold;
text-decoration:underline;
}
 
div.crisp img { /* crisp sprites when upscaled */
image-rendering:optimizeSpeed;             /* Legal fallback                 */
image-rendering:-moz-crisp-edges;          /* Firefox                        */
image-rendering:-o-crisp-edges;            /* Opera                          */
image-rendering:-webkit-optimize-contrast; /* Chrome (and eventually Safari) */
image-rendering:optimize-contrast;         /* CSS3 Proposed                  */
-ms-interpolation-mode:nearest-neighbor;   /* IE8+                           */
}
 
#mw-content-text .infobox { /* Univeral class: Infobox */
float:right;
width:250px;
border-collapse:collapse;
font-size:90%;
margin-left:10px;
}
#mw-content-text .infobox tr td:first-child {text-align:center;} /* Specify parent to avoid conflicts with oasis.scss */
#mw-content-text .infobox tr th {width:120px; text-align:center; border:1px solid #444;}
 
.navbox { /* Univeral class: Navbox */
margin:0px;
padding:0px auto;
font-size:11px;
width:100%;
border-collapse:collapse;
border:1px solid black;
clear:both;
}
.navbox tr th:first-child {width:120px; text-align:right; border:1px solid #444;}
 
.navbox, #mw-content-text .infobox                 {background:#FFF;color:black;}
.navbox caption, #mw-content-text .infobox caption {font-weight:bold;color:white;background:black;}
.navbox th, #mw-content-text .infobox th           {background:#AAA;color:black;}
 
/* Wolfenstein (2009) theme */
#mw-content-text .wolf2009           {background-color:rgba(0,41,61,.75);color:white;}
#mw-content-text .wolf2009 caption   {background-color:rgba(225,9,0,.75);}
#mw-content-text .wolf2009 tr th     {background-color:rgba(10,135,165,.75);color:white;}
#mw-content-text .wolf2009 tr th.sub {background-color:rgba(5,86,113,.75);color:white;}
#mw-content-text .wolf2009 a         {color:white;}
#mw-content-text .wolf2009 a:visited {color:silver;}
 
/* RtCW/ET theme */
#mw-content-text .rtcw               {background-color:rgba(17,17,17,.75); color:white;}
#mw-content-text .rtcw caption       {background-color:rgba(168,9,13,.75);}
#mw-content-text .rtcw tr th         {background-color:rgba(69,69,69,.75);color:white;}
#mw-content-text .rtcw tr th.sub     {background-color:rgba(43,43,43,.75);color:white;}
#mw-content-text .rtcw a             {color:white;}
#mw-content-text .rtcw a:visited     {color:silver;}
 
/* Wolfenstein 3D theme */
#mw-content-text .wolf3d             {background-color:rgba(220,222,220,.75)}
#mw-content-text .wolf3d caption     {background-color:rgba(124,2,4,.75);color:white;}
#mw-content-text .wolf3d tr th       {background-color:rgba(220,78,76,1);color:white;}
#mw-content-text .wolf3d tr th.sub   {background-color:rgba(220,150,148,1);color:white;}

/* ################################################## */
/* ### THE NEW ORDER FONT                         ### */
/* ################################################## */

@font-face {
font-family: "neworder";
src:local("Futura"),
local("Futura ND"),
url("https://images.wikia.nocookie.net/wolfenstein/zh/images/9/92/Florence_Sans.woff");
}


/* mainpage image logo fix so still readable on dark mode */
.theme-fandomdesktop-dark .invertmode img {
	filter: invert(1);
}